Package net.shibboleth.idp.plugin.authn.webauthn.admin

# Interface CredentialCreationOptionsParameters.IBuildStage

All Known Implementing Classes:
  `CredentialCreationOptionsParameters.Builder`

Enclosing class:
  CredentialCreationOptionsParameters

public static interface CredentialCreationOptionsParameters.IBuildStage
Stage interface.

## Method Summary

Modifier and Type
Method
Description
`CredentialCreationOptionsParameters`
`build()`
Build the options.
`CredentialCreationOptionsParameters.IBuildStage`
`withAuthenticatorAttachment(com.yubico.webauthn.data.AuthenticatorAttachment authenticatorAttachment)`
The AuthenticatorAttachment requirement.
`CredentialCreationOptionsParameters.IBuildStage`
`withCredentialPropertiesExt(boolean credProps)`
Is the credential properties extension enabled?

## Method Details

### withAuthenticatorAttachment

CredentialCreationOptionsParameters.IBuildStage withAuthenticatorAttachment(@Nullable com.yubico.webauthn.data.AuthenticatorAttachment authenticatorAttachment)
The AuthenticatorAttachment requirement. `null` would represent either possibility.

Parameters:
  `authenticatorAttachment` - the attachment
Returns:
  the next stage

### withCredentialPropertiesExt

CredentialCreationOptionsParameters.IBuildStage withCredentialPropertiesExt(boolean credProps)
Is the credential properties extension enabled?

Parameters:
  `credProps` - the flag
Returns:
  the next stage

### build

CredentialCreationOptionsParameters build()
Build the options.

Returns:
  the options